/*
 * $Id: PP4Handler.java,v 1.1 1999/08/09 11:56:47 gunterma Exp $
 * (History at end)
 */

/*
 * This file is part of the PPower4 software
 * Copyright (c) 1999  Klaus Guntermann/TU Darmstadt, FB 20, FG SP
 *
 * See the file COPYING in the top level directory for details.
 */

// This is the abstract class for creating handler routines.

package de.tu_darmstadt.sp.pp4;

import java.util.*;
import de.tu_darmstadt.sp.pp4.*;


public abstract class PP4Handler {

  // The object we run our actions on...
  private PP4Pages backref;
  // The hashtable for local bookkeeping (one for all)
  protected static Hashtable resulthash=null;


  /**
     Set the reference to the PP4Pages object.
     @param pp4p the object reference.
  */
  protected void setPagesRef(PP4Pages pp4p)
    {
      backref = pp4p;
      if (resulthash==null) resulthash=new Hashtable();
    }


  /**
     Get the reference to the PP4Pages object.
     @return the object reference
  */
  protected final PP4Pages getPagesRef()
    {
      return(backref);
    }


  /**
     Give the comment command pattern, which is treated by this handler.
     @return String to watch for (including the starting %)
  */
  public abstract String pattern();

  /**
     The action routine which is called to process the command.
     @param command the command pattern, registered in the dispatcher.
     @param arguments the string containg the rest of the line from the file
     (may be empty).
     @exception PP4Exception signals problems during processing.
  */
  public abstract void doit(String command, String arguments)
    throws PP4Exception;
}

/*
 * $Log: PP4Handler.java,v $
 * Revision 1.1  1999/08/09 11:56:47  gunterma
 * initial checkin
 *
 */
