/*
 * $Id: PP4hdEsuap.java,v 1.2 2000/03/13 09:48:15 gunterma Exp $
 * (History at end)
 */

/*
 * This file is part of the PPower4 software
 * Copyright (c) 1999,2000  Klaus Guntermann/TU Darmstadt, FB 20, FG SP
 *
 * See the file COPYING in the top level directory for details.
 */

// This implements the %esuap comment.

package de.tu_darmstadt.sp.pp4;

import de.tu_darmstadt.sp.pp4.*;


public class PP4hdEsuap extends PP4Handler {

  // The comment which we handle.
  public String pattern()
    {
      return("%esuap");
    }

  /**
   * Implement the action for the "esuap" command, which terminates a
   * "pause" section in our pdf file.
   * We do not really need arguments and do not verify them, because
   * the comment should be removed from the pdf file.
   * But we insist, that the copying flag is off now.
   */
  public void doit(String command, String arguments) throws PP4Exception
    {
      // Create the extra page with the current contents.
      getPagesRef().makeNewPage(arguments);
      if (getPagesRef().getCopyingState())
	throw new PP4Exception("Pattern "+pattern()+" found while copying.");
      // Reenable copying.
      getPagesRef().setCopyingState(true);
    }

}

/*
 * $Log: PP4hdEsuap.java,v $
 * Revision 1.2  2000/03/13 09:48:15  gunterma
 * Allow optional arguments when processing a pause to define a new
 * transition mode for the created page.
 *
 * Revision 1.1  1999/08/09 11:56:48  gunterma
 * initial checkin
 *
 */
