/*
 * $Id: PP4hdPause.java,v 1.1 1999/08/09 11:56:50 gunterma Exp $
 * (History at end)
 */

/*
 * This file is part of the PPower4 software
 * Copyright (c) 1999  Klaus Guntermann/TU Darmstadt, FB 20, FG SP
 *
 * See the file COPYING in the top level directory for details.
 */

// This implements the pause command.

package de.tu_darmstadt.sp.pp4;

import de.tu_darmstadt.sp.pp4.*;

public class PP4hdPause extends PP4Handler {

  // The comment which we handle.
  public String pattern()
    {
      return("%pause");
    }

  /**
   * Implement the action for the "pause" command, which starts a
   * "pause" section in our pdf file.
   * We do not really need arguments and do not verify them, because
   * the comment should be removed from the pdf file.
   * But we insist, that the copying flag is on now.
   */
  public void doit(String command, String arguments) throws PP4Exception
    {
      if (!getPagesRef().getCopyingState())
	throw new PP4Exception("Pattern "+pattern()+" found while not copying.");
      // Switch off copying.
      getPagesRef().setCopyingState(false);
    }

}

/*
 * $Log: PP4hdPause.java,v $
 * Revision 1.1  1999/08/09 11:56:50  gunterma
 * initial checkin
 *
 */
